Bug 174609 - net/rsplib port update to version 3.0.1
net/rsplib port update to version 3.0.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-21 16:50 UTC by dreibh
Modified: 2013-02-15 05:00 UTC (History)
0 users

See Also:


Attachments
file.shar (12.18 KB, text/plain)
2012-12-21 16:50 UTC, dreibh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dreibh 2012-12-21 16:50:00 UTC
rsplib has been updated to version 3.0.1. This is the update of the FreeBSD port.

Fix: Update the port.

Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2012-12-22 11:55:23 UTC
Please submit your update in diff -urN format, shar is for new ports
only. Thanks.

--=20
pozdrawiam / with regards
Pawe=B3 P=EAkala
Comment 2 dfilter freebsd_committer 2013-02-15 04:55:53 UTC
Author: rm
Date: Fri Feb 15 04:55:45 2013
New Revision: 312274
URL: http://svnweb.freebsd.org/changeset/ports/312274

Log:
  - update to 3.0.1
  
  while here:
  - trim Makefile header
  - move LICENSE into proper block (porlint warning)
  - remove checks for unsupported versions of FreeBSD
  - tab -> space change pkg-descr:WWW
  - fix pkg-plist
  
  PR:		174609
  Submitted by:	Thomas Dreibholz <dreibh@iem.uni-due.de> (maintainer)

Modified:
  head/net/rsplib/Makefile
  head/net/rsplib/distinfo
  head/net/rsplib/pkg-descr
  head/net/rsplib/pkg-plist

Modified: head/net/rsplib/Makefile
==============================================================================
--- head/net/rsplib/Makefile	Fri Feb 15 03:46:06 2013	(r312273)
+++ head/net/rsplib/Makefile	Fri Feb 15 04:55:45 2013	(r312274)
@@ -1,19 +1,17 @@
-# New ports collection makefile for:	rsplib
-# Date created:		2010-08-08
-# Whom:			Thomas Dreibholz <dreibh@iem.uni-due.de>
-#
+# Created by: Thomas Dreibholz <dreibh@iem.uni-due.de>
 # $FreeBSD$
-#
 
 PORTNAME=	rsplib
-PORTVERSION=	2.7.13
-PORTREVISION=	1
+PORTVERSION=	3.0.1
 CATEGORIES=	net
-MASTER_SITES=	http://www.tdr.wiwi.uni-due.de/fileadmin/fileupload/I-TDR/ReliableServer/Downloads/
+MASTER_SITES=	http://www.tdr.wiwi.uni-due.de/fileadmin/fileupload/I-TDR/ReliableServer/Downloads/ \
+		http://www.exp-math.uni-essen.de/~dreibh/rserpool/
 
 MAINTAINER=	dreibh@iem.uni-due.de
 COMMENT=	RSerPool Framework and Example Applications
 
+LICENSE=	GPLv3
+
 USE_QT4=	gui xml moc_build
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
@@ -22,27 +20,21 @@ CONFIGURE_ARGS=	--disable-maintainer-mod
 		--with-qt-include=${QT_INCDIR}
 USE_LDCONFIG=	yes
 
-LICENSE=	GPLv3
-LICENSE_FILE=	${WRKSRC}/COPYING
-
-MAN8=		calcappclient.8 \
-		cspmonitor.8 \
-		fractalpooluser.8 \
-		hsdump.8 \
-		pingpongclient.8 \
-		registrar.8 \
-		scriptingclient.8 \
-		scriptingcontrol.8 \
-		scriptingserviceexample.8 \
-		server.8 \
-		terminal.8
+MAN1=		calcappclient.1 \
+		cspmonitor.1 \
+		fractalpooluser.1 \
+		hsdump.1 \
+		pingpongclient.1 \
+		registrar.1 \
+		rspregistrar.1 \
+		rspserver.1 \
+		rspterminal.1 \
+		scriptingclient.1 \
+		scriptingcontrol.1 \
+		scriptingserviceexample.1 \
+		server.1 \
+		terminal.1
 
 MAKE_JOBS_SAFE=	yes
 
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} < 700028
-IGNORE=		requires sctp(4) support
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/net/rsplib/distinfo
==============================================================================
--- head/net/rsplib/distinfo	Fri Feb 15 03:46:06 2013	(r312273)
+++ head/net/rsplib/distinfo	Fri Feb 15 04:55:45 2013	(r312274)
@@ -1,2 +1,2 @@
-SHA256 (rsplib-2.7.13.tar.gz) = e6e84778d409d2cfeafb98a38b4689d7d090d147a928dc2dbde622800299f7bf
-SIZE (rsplib-2.7.13.tar.gz) = 1019113
+SHA256 (rsplib-3.0.1.tar.gz) = 0bf288da2e558b20020003825e26425392418b746e294bf2a4e76a0f796c8c6b
+SIZE (rsplib-3.0.1.tar.gz) = 1043703

Modified: head/net/rsplib/pkg-descr
==============================================================================
--- head/net/rsplib/pkg-descr	Fri Feb 15 03:46:06 2013	(r312273)
+++ head/net/rsplib/pkg-descr	Fri Feb 15 04:55:45 2013	(r312274)
@@ -5,4 +5,4 @@ It provides highly available pool manage
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 
-WWW:	http://tdrwww.iem.uni-due.de/dreibholz/rserpool/
+WWW: http://tdrwww.iem.uni-due.de/dreibholz/rserpool/

Modified: head/net/rsplib/pkg-plist
==============================================================================
--- head/net/rsplib/pkg-plist	Fri Feb 15 03:46:06 2013	(r312273)
+++ head/net/rsplib/pkg-plist	Fri Feb 15 04:55:45 2013	(r312274)
@@ -4,6 +4,9 @@ bin/fractalpooluser
 bin/hsdump
 bin/pingpongclient
 bin/registrar
+bin/rspregistrar
+bin/rspserver
+bin/rspterminal
 bin/scriptingclient
 bin/scriptingcontrol
 bin/scriptingserviceexample
@@ -334,6 +337,7 @@ share/fgpconfig/input-248.fsf
 share/fgpconfig/input-249.fsf
 share/fgpconfig/input-250.fsf
 share/fractalpooluser/fractalpooluser_de_DE.qm
+share/fractalpooluser/fractalpooluser_nb_NO.qm
 @dirrm share/fractalpooluser
 @dirrm share/fgpconfig
 @dirrm include/rserpool
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-02-15 04:56:23 UTC
State Changed
From-To: open->closed

Committed, thank you!